---
- name: Ensure WireGuard DKMS package is removed
  apt:
    name:
      - "wireguard-dkms"
    state: absent

- name: Install wireguard
  apt:
    update_cache: true
    pkg: wireguard

- name: Enable WireGuard kernel module
  modprobe:
    name: wireguard
    state: present
  register: wireguard__register_module_enabled
  until: wireguard__register_module_enabled is succeeded
  retries: 10
  delay: 10
  failed_when: wireguard__register_module_enabled is failure
